package com.zcloud.primeport.plan.mjDevice.dto;

import lombok.Getter;

@Getter
public enum PersonTypeEnum {
    PERSON_TYPE1(0,"普通用户"),
    PERSON_TYPE2(1, "黑名单用户"),
    PERSON_TYPE3(2, "来宾用户"),
    PERSON_TYPE4(3, "巡逻用户"),
    PERSON_TYPE5(4, "VIP用户"),
    PERSON_TYPE6(5, "其他用户"),
    PERSON_TYPE7(6, "自定义用户1"),
    PERSON_TYPE8(7, "自定义用户2");
    private Integer code;
    private String typeName;

    PersonTypeEnum(Integer code, String typeName) {
        this.code = code;
        this.typeName = typeName;
    }

    public PersonTypeEnum setCode(Integer code) {
        this.code = code;
        return this;
    }

    public PersonTypeEnum setTypeName(String typeName) {
        this.typeName = typeName;
        return this;
    }
}
